import { DataSource } from 'typeorm';
import { MetaEntity } from '../../../entities';
import { SetCurrentUserIdCommand } from '../../types';

export async function handleSetCurrentUserId(command: SetCurrentUserIdCommand, dataSource: DataSource): Promise<void> {
  const repo = dataSource.getRepository(MetaEntity);

  await repo.save({ key: 'currentUserId', value: command.payload.userId });
}
